# Uses of Class
javax.xml.validation.Schema

Packages that use Schema
Package
Description
javax.xml.parsers
Provides the classes for processing XML documents with a SAX (Simple API for XML) parser or a DOM (Document Object Model) Document builder.
javax.xml.validation
Provides an API for validation of XML documents.

- ## Uses of Schema in javax.xml.parsers

  Methods in javax.xml.parsers that return Schema
  Modifier and Type
  Method
  Description
  `Schema`
  DocumentBuilder.`getSchema()`
  Get a reference to the `Schema` being used by the XML processor.
  `Schema`
  DocumentBuilderFactory.`getSchema()`
  Gets the `Schema` object specified through the `DocumentBuilderFactory.setSchema(Schema schema)` method.
  `Schema`
  SAXParser.`getSchema()`
  Get a reference to the `Schema` being used by the XML processor.
  `Schema`
  SAXParserFactory.`getSchema()`
  Gets the `Schema` object specified through the `SAXParserFactory.setSchema(Schema schema)` method.
  Methods in javax.xml.parsers with parameters of type Schema
  Modifier and Type
  Method
  Description
  `void`
  DocumentBuilderFactory.`setSchema(Schema schema)`
  Set the `Schema` to be used by parsers created from this factory.
  `void`
  SAXParserFactory.`setSchema(Schema schema)`
  Set the `Schema` to be used by parsers created from this factory.

- ## Uses of Schema in javax.xml.validation

  Methods in javax.xml.validation that return Schema
  Modifier and Type
  Method
  Description
  `abstract Schema`
  SchemaFactory.`newSchema()`
  Creates a special `Schema` object.
  `Schema`
  SchemaFactory.`newSchema(File schema)`
  Parses the specified `File` as a schema and returns it as a `Schema`.
  `Schema`
  SchemaFactory.`newSchema(URL schema)`
  Parses the specified `URL` as a schema and returns it as a `Schema`.
  `Schema`
  SchemaFactory.`newSchema(Source schema)`
  Parses the specified source as a schema and returns it as a schema.
  `abstract Schema`
  SchemaFactory.`newSchema(Source[] schemas)`
  Parses the specified source(s) as a schema and returns it as a schema.